# Uses of Interface
org.eclipse.birt.report.engine.extension.IReportItemPreparationInfo

Packages that use IReportItemPreparationInfo
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IReportItemPreparationInfo in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension with parameters of type IReportItemPreparationInfo
Modifier and Type
Method
Description
`void`
IReportItemPreparation.`init(IReportItemPreparationInfo info)`